
const Decimal = require('shardedmapview').DecimalConfigured;

function Point({x, y}) {

	x = new Decimal(x);
	y = new Decimal(y);

	return {
		x: () => x,
		y: () => y,

		toString: () => `${x.toString()}, ${y.toString()}`
	};
}

Point.average = function(a, b) {
	return Point({
		x: (a.x().plus(b.x())).dividedBy(2),
		y: (a.y().plus(b.y())).dividedBy(2)
	});
}

module.exports = Point;
